Bug 1303687 - LDAPI support
LDAPI support
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pki-core (Show other bugs)
7.3
Unspecified Unspecified
medium Severity unspecified
: rc
: 7.4
Assigned To: Christian Heimes
Asha Akkiangady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 11:40 EST by Matthew Harmsen
Modified: 2017-08-31 14:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Harmsen 2016-02-01 11:40:55 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/pki/ticket/1585

PKI should support LDAPI for locally installed DS (e.g. IPA). The LDAPI will provide faster and more secure connection to the DS compared to regular LDAP connections. It also eliminates the need to store the Directory Manager password in a file.

See also: https://access.redhat.com/documentation/en-US/Red_Hat_Directory_Server/8.2/html/Administration_Guide/ldapi-enabling.html

Proposed milestone: 10.3
Comment 1 Matthew Harmsen 2016-04-20 18:34:21 EDT
Per CS Bug/Ticket Triage held 04/19/2016:  RHEL 7.4

Note You need to log in before you can comment on or make changes to this bug.